For the complete documentation index, see llms.txt. This page is also available as Markdown.

Udyam Verification Without OTP

Verify Udyam registration details issued to MSME businesses by the Government of India and fetch enterprise, business, address, classification, and registration certificate details without OTP authentication.

udyam_verification_without_otp

POST https://secctrl.tutelar.io/api/v2/services/business_profile/udyam_verification_wo_otp

Name
Value

Content-Type

application/json

Authorization

Bearer eyJhbGciOiJ.....

Sample Request Body

Body
Type
Mandatory
Description

udyamRegistrationNo

string

Yes

Udyam Registration Number of the entity

consent

String

Yes

Consent is required to make the API request.

Sample Post Parameters

{
    "udyamRegistrationNo": "UDYAM-MP-23-0007772",
    "consent": "Y"
}

Get details

GET https://secctrl.tutelar.io/api/v2/services/business_profile/udyam_verification_wo_otp

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated